CC	=	gcc
DEST	=	..
LIBDIR	=	$(DEST)/lib/$(ARCH)
INCDIR	=	$(DEST)/include
MANDIR	=	$(DEST)/man/man3
CFLAGS	=	-g -Wall

all:	libmem.a

install:	libmem.a
	install -m0644 libmem.a $(LIBDIR)
	install -m0644 mem.h $(INCDIR)
	install -m0644 libmem.3 $(MANDIR)

clean:
	rm -f *.o a.out core libmem.a

mem.o:	mem.h

libmem.a:	mem.o
	rm -f libmem.a
	ar rc libmem.a mem.o
	ranlib libmem.a
